# This file created by conda-build 24.1.2
# meta.yaml template originally from:
# /feedstock/recipe, last modified Thu Jul  4 14:04:11 2024
# ------------------------------------------------

package:
  name: packaging
  version: '24.1'
source:
  sha256: 026ed72c8ed3fcce5bf8950572258698927fd1dbda10a5e981cdf0ac37f4f002
  url: https://pypi.io/packages/source/p/packaging/packaging-24.1.tar.gz
build:
  number: '0'
  script: /croot/packaging_1720101861523/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeho/bin/python
    -m pip install . --no-deps --no-build-isolation -vv
  string: py312hd43f75c_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - bzip2 1.0.8 h998d150_6
    - ca-certificates 2024.3.11 hd43f75c_0
    - expat 2.6.2 h419075a_0
    - flit-core 3.9.0 py312h36db77b_1
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libffi 3.4.4 h419075a_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h998d150_0
    - ncurses 6.4 h419075a_0
    - openssl 3.0.14 h998d150_0
    - pip 24.0 py312hd43f75c_0
    - python 3.12.4 h8edadfe_1
    - readline 8.2 h998d150_0
    - setuptools 69.5.1 py312hd43f75c_0
    - sqlite 3.45.3 h998d150_0
    - tk 8.6.14 h987d8db_0
    - tzdata 2024a h04d1e81_0
    - wheel 0.43.0 py312hd43f75c_0
    - xz 5.4.6 h998d150_1
    - zlib 1.2.13 h998d150_1
  run:
    - python >=3.12,<3.13.0a0
test:
  commands:
    - pip check
    - pytest -v tests
  imports:
    - packaging
  requires:
    - pip
    - pretend
    - pytest >=6.2.0
  source_files:
    - tests
about:
  description: 'Reusable core utilities for various Python Packaging interoperability
    specifications.

    This library provides utilities that implement the interoperability specifications

    which have clearly one correct behaviour (eg: PEP 440) or benefit greatly from
    having

    a single shared implementation (eg: PEP 425).

    '
  dev_url: https://github.com/pypa/packaging
  doc_url: https://packaging.pypa.io
  home: https://github.com/pypa/packaging
  license: Apache-2.0 or BSD-2-Clause
  license_family: Apache
  license_file: LICENSE
  summary: Core utilities for Python packages
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 8ab01a87-caa0-4904-b8db-5c697787d08b
  recipe-maintainers:
    - jakirkham
    - mingwandroid
    - nicoddemus
  remote_url: git@github.com:AnacondaRecipes/packaging-feedstock.git
  sha: 18c297c4ebb42012d36079fa674673cbef80fa15
  skip-lints:
    - missing_wheel
